import React from 'react';
import { PropsWithHTMLAttributesAndRef } from '../../utils/types/PropsWithHTMLAttributes';
export declare const avatarGroupPropSize: readonly ["m", "s", "xs", "l"];
export type AvatarGroupPropSize = typeof avatarGroupPropSize[number];
export declare const avatarGroupPropSizeDefault: AvatarGroupPropSize;
export declare const avatarGroupPropForm: readonly ["round", "brick", "default"];
export type AvatarGroupPropForm = typeof avatarGroupPropForm[number];
export declare const avatarGroupPropFormDefault: AvatarGroupPropForm;
export type AvatarGroupDefaultItem = {
    url?: string;
    name?: string;
};
export type AvatarGroupPropGetItemUrl<ITEM> = (item: ITEM) => string | undefined;
export type AvatarGroupPropGetItemName<ITEM> = (item: ITEM) => string | undefined;
export type AvatarGroupProps<ITEM = AvatarGroupDefaultItem> = PropsWithHTMLAttributesAndRef<{
    children?: never;
    items?: ITEM[];
    visibleCount?: number | 'auto';
    getItemUrl?: AvatarGroupPropGetItemUrl<ITEM>;
    getItemName?: AvatarGroupPropGetItemName<ITEM>;
    size?: AvatarGroupPropSize;
    form?: AvatarGroupPropForm;
    monochrome?: boolean;
}, HTMLDivElement>;
export type AvatarGroupComponent = <ITEM = AvatarGroupDefaultItem>(props: AvatarGroupProps<ITEM>) => React.ReactNode | null;
