import { IconComponent } from '@consta/icons/Icon';
export declare const badgePropSize: readonly ["xs", "s", "m", "l"];
export type BadgePropSize = typeof badgePropSize[number];
export declare const badgePropSizeDefault: BadgePropSize;
export declare const badgePropView: readonly ["filled", "stroked", "tinted"];
export type BadgePropView = typeof badgePropView[number];
export declare const badgePropViewDefault: BadgePropView;
export declare const badgePropStatus: readonly ["normal", "success", "warning", "alert", "system", "disabled"];
export type BadgePropStatus = typeof badgePropStatus[number] | 'error';
export declare const badgePropStatusDefault: BadgePropStatus;
export declare const badgePropForm: readonly ["default", "round"];
export type BadgePropForm = typeof badgePropForm[number];
export declare const badgePropFormDefault: BadgePropForm;
export type BadgeProps = {
    size?: BadgePropSize;
    view?: BadgePropView;
    /**
     * "error" deprecated since version 5.13.0 use "alert"
     */
    status?: BadgePropStatus;
    form?: BadgePropForm;
    minified?: boolean;
    /**
     * @deprecated since version 4.17.2 use iconLeft
     */
    icon?: IconComponent;
    iconLeft?: IconComponent;
    iconRight?: IconComponent;
    label?: string;
    children?: never;
};
