import React from 'react';
export declare const cardPropForm: readonly ["round", "square"];
export type CardPropForm = typeof cardPropForm[number];
export declare const cardPropFormDefault: CardPropForm;
export declare const cardPropSpace: readonly ["m", "xs", "s", "l", "xl", "2xl", "3xl", "4xl", "5xl"];
export type CardPropSpace = typeof cardPropSpace[number];
export declare const cardPropStatus: readonly ["alert", "success", "warning"];
export type CardPropStatus = typeof cardPropStatus[number] | string;
export type CardProps = {
    verticalSpace?: CardPropSpace;
    horizontalSpace?: CardPropSpace;
    status?: CardPropStatus;
    border?: boolean;
    form?: CardPropForm;
    shadow?: boolean;
    children?: React.ReactNode;
};
export type Props = CardProps;
export declare const COMPONENT_NAME: "Card";
export declare const cnCard: import("@bem-react/classname").ClassNameFormatter;
export declare const Card: import("../../utils/types/PropsWithAsAttributes").ComponentWithAs<CardProps, "div">;
