import './DatePickerDropdown.css';
import React from 'react';
import { DateTimePropOnChange, DateTimePropType } from '../../DateTime';
import { DateTimePropDisableDates } from '../../DateTime/helpers/types';
import { DateRange } from '../../../utils/types/Date';
import { PropsWithHTMLAttributesAndRef } from '../../../utils/types/PropsWithHTMLAttributes';
import { DatePickerAdditionalControlRenderProp, DatePickerPropDateTimeView, DatePickerPropDropdownForm } from '../types';
export type DatePickerDropdownPropOnChange = DateTimePropOnChange;
export type DatePickerDropdownProps = PropsWithHTMLAttributesAndRef<{
    anchorRef: React.RefObject<HTMLElement>;
    currentVisibleDate?: Date;
    type: DateTimePropType;
    value?: Date | DateRange;
    onChange?: DatePickerDropdownPropOnChange;
    minDate?: Date;
    maxDate?: Date;
    events?: Date[];
    view: DatePickerPropDateTimeView;
    locale?: Locale;
    children?: never;
    form?: DatePickerPropDropdownForm;
    isOpen?: boolean;
    onChangeCurrentVisibleDate?: (date: Date) => void;
    zIndex?: number;
    renderAdditionalControls?: DatePickerAdditionalControlRenderProp;
    multiplicitySeconds?: number;
    multiplicityMinutes?: number;
    multiplicityHours?: number;
    timeFor?: 'start' | 'end';
    disableDates?: DateTimePropDisableDates;
}, HTMLDivElement>;
type DatePickerDropdownComponent = (props: DatePickerDropdownProps) => React.ReactNode | null;
export declare const DatePickerDropdown: DatePickerDropdownComponent;
export {};
