import { Locale } from 'date-fns';
import { DateRange } from '../../../utils/types/Date';
export declare const dateComparer: (a?: Date, b?: Date) => number;
export declare const getStartAndEndDate: (date1: Date, date2: Date) => Date[];
export declare const isDateSelected: ({ date, value, }: {
    date: Date;
    value?: Date;
}) => boolean;
export declare const isValueSelected: ({ date, value, }: {
    date: Date;
    value?: Date | DateRange;
}) => boolean;
export declare const isValueSelectedBackwards: ({ value, hoveredDate, }: {
    value?: Date | DateRange;
    hoveredDate?: Date;
}) => boolean | undefined;
export declare const getMonthTitle: (date: Date, locale: Locale) => string;
export declare const getMonthTitleAbbreviated: (date: Date, locale: Locale) => string;
export declare const getYearTitle: (date: Date) => string;
export declare const getMouthLabelWithYear: (date: Date, locale: Locale) => string;
export declare const getDecadeTitle: (date: Date) => string;
export declare const getLabelHours: (date: Date) => string;
export declare const getLabelMinutes: (date: Date) => string;
export declare const getLabelSeconds: (date: Date) => string;
export declare const getDaysOfWeek: (locale: Locale) => string[];
export declare const getTimeTitle: (value: Date | undefined, multiplicityHours: number | undefined, multiplicityMinutes: number | undefined, multiplicitySeconds: number | undefined) => string;
export * from './useCurrentVisibleDate';
export * from './types';
export * from './getDaysOfMonth';
export * from './getYearsOfDecade';
export * from './getHandleSelectDate';
export * from './isEqualDay';
export * from './isEqualYear';
export * from './isEqualMount';
export * from './getMonthsOfYear';
