import { FileSizes } from './types';
type LocaleError = string | ((props: {
    file: File;
    sizes: FileSizes;
}) => string);
type LocaleLabel = string | ((props: {
    fileText: string;
}) => string);
export type Locale = {
    'file-invalid-type'?: LocaleError;
    'file-too-large'?: LocaleError;
    'file-too-small'?: LocaleError;
    'too-many-files'?: string;
    'general-error'?: string;
    'fit-files'?: string;
    'file'?: string;
    'files'?: string;
    'before'?: string;
    'from'?: string;
    'gigabyte'?: string;
    'megabyte'?: string;
    'kilobyte'?: string;
    'byte'?: string;
    'call-to-action'?: LocaleLabel;
    'action-button'?: LocaleLabel;
};
export declare const defaultLocale: Required<Locale>;
export declare const getText: <PROPS>(textOrFn: string | ((props: PROPS) => string), props: PROPS) => string;
export declare const withDefaultLocale: (locale?: Locale) => Required<Locale>;
export {};
