export declare const gridPropXAlign: readonly ["left", "center", "right"];
export type GridPropXAlign = typeof gridPropXAlign[number];
export declare const gridPropYAlign: readonly ["top", "center", "bottom"];
export type GridPropYAlign = typeof gridPropYAlign[number];
export declare const gridPropGap: readonly [0, "2xs", "xs", "s", "m", "l", "xl", "2xl", "3xl", "4xl", "5xl", "6xl"];
export type GridPropGap = typeof gridPropGap[number];
export declare const breakpointSizes: readonly ["xs", "s", "m", "l", "xl", "2xl"];
export type BreakpointSizes = typeof breakpointSizes[number];
type GridBreakpoint = {
    cols?: number;
    gap?: GridPropGap;
    colGap?: GridPropGap;
    rowGap?: GridPropGap;
    xAlign?: GridPropXAlign;
    yAlign?: GridPropYAlign;
};
export type GridPropBreakpoints = Record<number, GridBreakpoint>;
export type GridProps = GridBreakpoint & {
    breakpoints?: GridPropBreakpoints;
    breakpointsForRef?: React.RefObject<HTMLElement>;
};
type GridItemBreakpoint = {
    col?: number;
    colStart?: number;
    row?: number;
    rowStart?: number;
    order?: 0 | 1 | -1;
};
export type GridItemPropBreakpoints = Record<number, GridItemBreakpoint>;
export type GridItemProps = GridItemBreakpoint & {
    breakpoints?: GridItemPropBreakpoints;
    breakpointsForRef?: React.RefObject<HTMLElement>;
};
export {};
