import './Grid.css';
export * from './GridItem/GridItem';
export declare const gridPropXAlign: readonly ["left", "center", "right"];
export type GridPropXAlign = typeof gridPropXAlign[number];
export declare const gridPropYAlign: readonly ["top", "center", "bottom"];
export type GridPropYAlign = typeof gridPropYAlign[number];
export declare const gridPropGap: readonly [0, "2xs", "xs", "s", "m", "l", "xl", "2xl", "3xl", "4xl", "5xl", "6xl"];
export type GridPropGap = typeof gridPropGap[number] | '0';
export type GridPropColGap = GridPropGap;
export type GridPropRowGap = GridPropGap;
export declare const breakpointSizes: readonly ["xs", "s", "m", "l", "xl", "2xl"];
export type BreakpointSizes = typeof breakpointSizes[number];
type Breakpoint = {
    cols?: number | string;
    gap?: GridPropGap;
    colGap?: GridPropColGap;
    rowGap?: GridPropRowGap;
    xAlign?: GridPropXAlign;
    yAlign?: GridPropYAlign;
};
type BreakpointsProps = {
    'xs'?: Breakpoint;
    's'?: Breakpoint;
    'm'?: Breakpoint;
    'l'?: Breakpoint;
    'xl'?: Breakpoint;
    '2xl'?: Breakpoint;
};
export type GridProps = Breakpoint & {
    breakpoints?: BreakpointsProps;
};
export declare const cnGrid: import("@bem-react/classname").ClassNameFormatter;
export declare const Grid: import("../../utils/types/PropsWithAsAttributes").ComponentWithAs<GridProps, "div">;
