import './Informer.css';
import { IconComponent } from '@consta/icons/Icon';
import React from 'react';
import { PropsWithHTMLAttributes } from '../../utils/types/PropsWithHTMLAttributes';
export declare const informerPropView: readonly ["filled", "bordered", "outline"];
export type InformerPropView = typeof informerPropView[number];
export declare const informerPropViewDefault: InformerPropView;
export declare const informerPropStatus: readonly ["success", "system", "alert", "warning", "normal"];
export type InformerPropStatus = typeof informerPropStatus[number];
export declare const informerPropStatusDefault: InformerPropStatus;
export declare const informerPropSize: readonly ["m", "s"];
export type InformerPropSize = typeof informerPropSize[number];
export declare const informerPropSizeDefault: InformerPropSize;
type Props = {
    view?: InformerPropView;
    status?: InformerPropStatus;
    icon?: IconComponent;
    label?: React.ReactNode;
    title?: string;
    size?: InformerPropSize;
};
export type InformerProps = PropsWithHTMLAttributes<Props, HTMLDivElement>;
export declare const cnInformer: import("@bem-react/classname").ClassNameFormatter;
export declare const Informer: React.ForwardRefExoticComponent<Props & Omit<React.HTMLAttributes<HTMLDivElement>, "css" | keyof Props> & React.RefAttributes<HTMLDivElement>>;
export {};
