import './Layout.css';
import React from 'react';
export declare const layoutPropDirection: readonly ["row", "column"];
export type LayoutPropDirection = typeof layoutPropDirection[number];
export declare const layoutPropDirectionDefault: LayoutPropDirection;
export declare const layoutPropVerticalAlign: readonly ["top", "bottom"];
export type LayoutPropVerticalAlign = typeof layoutPropVerticalAlign[number];
export declare const layoutPropVerticalAlignDefault: LayoutPropVerticalAlign;
export declare const layoutPropHorizontalAlign: readonly ["left", "right"];
export type LayoutPropHorizontalAlign = typeof layoutPropHorizontalAlign[number];
export declare const layoutPropHorizontalAlignDefault: LayoutPropHorizontalAlign;
export type LayoutProps = {
    flex?: number | 'none';
    fixed?: boolean;
    verticalAlign?: LayoutPropVerticalAlign;
    horizontalAlign?: LayoutPropHorizontalAlign;
    anchorRef?: React.RefObject<HTMLElement>;
    scrollContainer?: React.RefObject<HTMLElement> | HTMLElement | null | Window;
    direction?: LayoutPropDirection;
    children?: React.ReactNode;
};
export declare const cnLayout: import("@bem-react/classname").ClassNameFormatter;
export declare const Layout: import("../../utils/types/PropsWithAsAttributes").ComponentWithAs<LayoutProps, "div">;
