import { DefaultListGroup, DefaultListItem, ListPropGetGroupKey, ListPropGetGroupLabel, ListPropGetGroupRightSide, ListPropGetItemActive, ListPropGetItemChecked, ListPropGetItemDisabled, ListPropGetItemGroupId, ListPropGetItemLabel, ListPropGetItemLeftIcon, ListPropGetItemLeftSide, ListPropGetItemOnClick, ListPropGetItemRightIcon, ListPropGetItemRightSide, ListPropGetItemStatus, ListProps } from './types';
export declare function withDefaultGetters<ITEM = DefaultListItem, GROUP = DefaultListGroup>(props: ListProps<ITEM, GROUP>): {
    size?: import("./types").ListPropSize;
    items: ITEM[];
    innerOffset?: import("./types").ListPropInnerOffset;
    itemSpace?: import("../../mixs/MixSpace").MixSpaceProps;
    groupLabelSpace?: import("../../mixs/MixSpace").MixSpaceProps;
    dividerSpace?: import("../../mixs/MixSpace").MixSpaceProps;
    onItemClick?: import("./types").ListPropOnItemClick<ITEM> | undefined;
    getItemLabel?: ListPropGetItemLabel<ITEM> | undefined;
    getItemDisabled?: ListPropGetItemDisabled<ITEM> | undefined;
    getItemActive?: ListPropGetItemActive<ITEM> | undefined;
    getItemChecked?: ListPropGetItemActive<ITEM> | undefined;
    getItemLeftSide?: ListPropGetItemLeftSide<ITEM> | undefined;
    getItemLeftIcon?: ListPropGetItemLeftIcon<ITEM> | undefined;
    getItemRightSide?: ListPropGetItemRightSide<ITEM> | undefined;
    getItemRightIcon?: ListPropGetItemRightIcon<ITEM> | undefined;
    getItemGroupKey?: ListPropGetItemGroupId<ITEM> | undefined;
    getItemOnClick?: ListPropGetItemOnClick<ITEM> | undefined;
    getItemStatus?: ListPropGetItemStatus<ITEM> | undefined;
    getItemAs?: import("./types").ListPropGetItemAs<ITEM> | undefined;
    getItemAttributes?: import("./types").ListPropGetItemAttributes<ITEM> | undefined;
    getItemRef?: import("./types").ListPropGetItemRef<ITEM> | undefined;
    getItemAdditionalClassName?: import("./types").ListPropGetItemAdditionalClassName<ITEM> | undefined;
    renderItem?: import("./types").ListPropRenderItem<ITEM> | undefined;
    groups?: GROUP[] | undefined;
    getGroupKey?: ListPropGetGroupKey<GROUP> | undefined;
    getGroupLabel?: ListPropGetGroupLabel<GROUP> | undefined;
    getGroupRightSide?: ListPropGetGroupRightSide<GROUP> | undefined;
    sortGroup?: import("./types").ListPropSortGroup<ITEM, GROUP> | undefined;
    getGroupAdditionalClassName?: import("./types").ListPropGetGroupAdditionalClassName<GROUP> | undefined;
    disabled?: boolean;
} & (ITEM extends {
    label: DefaultListItem["label"];
} ? {} : {
    getItemLabel: ListPropGetItemLabel<ITEM>;
}) & (GROUP extends {
    id: DefaultListGroup["id"];
} ? {} : {
    getGroupKey: ListPropGetGroupKey<GROUP>;
}) & {
    getItemLabel: ListPropGetItemLabel<DefaultListItem> | ListPropGetItemLabel<ITEM>;
    getItemGroupKey: ListPropGetItemGroupId<DefaultListItem> | ListPropGetItemGroupId<ITEM>;
    getItemActive: ListPropGetItemActive<DefaultListItem> | ListPropGetItemActive<ITEM>;
    getItemChecked: ListPropGetItemChecked<DefaultListItem> | ListPropGetItemActive<ITEM>;
    getItemDisabled: ListPropGetItemDisabled<DefaultListItem> | ListPropGetItemDisabled<ITEM>;
    getItemLeftSide: ListPropGetItemLeftSide<DefaultListItem> | ListPropGetItemLeftSide<ITEM>;
    getItemLeftIcon: ListPropGetItemLeftIcon<DefaultListItem> | ListPropGetItemLeftIcon<ITEM>;
    getItemRightSide: ListPropGetItemRightSide<DefaultListItem> | ListPropGetItemRightSide<ITEM>;
    getItemRightIcon: ListPropGetItemRightIcon<DefaultListItem> | ListPropGetItemRightIcon<ITEM>;
    getItemStatus: ListPropGetItemStatus<DefaultListItem> | ListPropGetItemStatus<ITEM>;
    getItemOnClick: ListPropGetItemOnClick<DefaultListItem> | ListPropGetItemOnClick<ITEM>;
    getGroupLabel: ListPropGetGroupLabel<DefaultListGroup> | ListPropGetGroupLabel<GROUP>;
    getGroupKey: ListPropGetGroupKey<DefaultListGroup> | ListPropGetGroupKey<GROUP>;
    getGroupRightSide: ListPropGetGroupRightSide<DefaultListGroup> | ListPropGetGroupRightSide<GROUP>;
};
