import './Modal.css';
import React from 'react';
import { PropsWithHTMLAttributes } from '../../utils/types/PropsWithHTMLAttributes';
declare const modalPropWidth: readonly ["auto"];
type ModalPropWidth = typeof modalPropWidth[number];
declare const modalPropPosition: readonly ["center", "top"];
type ModalPropPosition = typeof modalPropPosition[number];
type ModalProps = PropsWithHTMLAttributes<{
    isOpen?: boolean;
    onClose?: () => void;
    onOpen?: () => void;
    hasOverlay?: boolean;
    /** @deprecated use onClickOutside */
    onOverlayClick?: (event: MouseEvent) => void;
    onClickOutside?: (event: MouseEvent) => void;
    onEsc?: (event: KeyboardEvent) => void;
    rootClassName?: string;
    width?: ModalPropWidth;
    position?: ModalPropPosition;
    children?: React.ReactNode;
    container?: HTMLDivElement | undefined;
    afterClose?: () => void;
    refsForExcludeClickOutside?: React.RefObject<HTMLElement>[];
}, HTMLDivElement>;
export declare const Modal: React.FC<ModalProps>;
export {};
