import React from 'react';
export declare function usePortalContext(): {
    refs: React.RefObject<HTMLElement>[];
    addRefs?: (ref: React.RefObject<HTMLElement>[]) => void;
    zIndex?: number;
};
/**
 * PortalWithThemeProvider
 * нужен для того чтобы получать рефы дочерних порталов и прокидывать их в родительские порталы
 * Это нужно чтобы в компонентах использовать usePortalContext()
 * и получать рефы всех вложенных порталов в компонент, чтобы без ошибочно реализовать onOutsideClick.
 * Проблема заключалась в том что при нажатии на любой вложенный портал,
 * компонент думал что клик произошел вне компонента и срабатывал onOutsideClick.
 * Сейчас когда мы знаем рефы всех вложенных порталов мы можем игнорировать события кликов на вложенных порталах
 */
export declare const PortalWithThemeProvider: React.FC<{
    zIndex?: number;
    children?: React.ReactNode;
}>;
