import React from 'react';
import { PropsWithHTMLAttributesAndRef } from '../../utils/types/PropsWithHTMLAttributes';
export declare const progressLinePropSize: readonly ["m", "s"];
export type ProgressLinePropSize = typeof progressLinePropSize[number];
export declare const defaultProgressLinePropSize: "m";
export type ProgressLineItemDefault = {
    label?: string;
};
export type ProgressLinePropGetItemLabel<ITEM> = (item: ITEM) => string | undefined;
export type ProgressLineProps<ITEM = ProgressLineItemDefault> = PropsWithHTMLAttributesAndRef<{
    size?: ProgressLinePropSize;
    value?: number;
    steps?: ITEM[];
    getItemLabel?: ProgressLinePropGetItemLabel<ITEM>;
}, HTMLDivElement>;
export type ProgressLineComponent = <ITEM>(props: ProgressLineProps<ITEM>) => React.ReactNode | null;
