import './Responses.css';
import React from 'react';
import { ResponsesImageProps } from '../../responsesImages/ResponsesImage/ResponsesImage';
import { PropsWithHTMLAttributes } from '../../utils/types/PropsWithHTMLAttributes';
export declare const responsesPropSize: readonly ["l", "m"];
export type ResponsesPropSize = typeof responsesPropSize[number];
export declare const responsesPropSizeDefault: ResponsesPropSize;
export type ResponsesProps = PropsWithHTMLAttributes<{
    title?: React.ReactNode;
    description?: React.ReactNode;
    size?: ResponsesPropSize;
    image: React.FC<ResponsesImageProps>;
    actions?: React.ReactNode;
    children?: never;
}, HTMLDivElement>;
export declare const cnResponses: import("@bem-react/classname").ClassNameFormatter;
export declare const Responses: React.ForwardRefExoticComponent<{
    title?: React.ReactNode;
    description?: React.ReactNode;
    size?: ResponsesPropSize;
    image: React.FC<ResponsesImageProps>;
    actions?: React.ReactNode;
    children?: never;
} & Omit<React.HTMLAttributes<HTMLDivElement>, "css" | "title" | "children" | "size" | "image" | "actions" | "description"> & React.RefAttributes<HTMLDivElement>>;
