import { AtomMut } from '@reatom/core';
import React from 'react';
import { PropsWithDefault } from '../defaultProps';
import { SelectGroupDefault, SelectItemDefault } from '../types';
type SelectMultipleValueProps<ITEM, GROUP> = {
    propsAtom: AtomMut<PropsWithDefault<ITEM, GROUP, true>>;
    onFocus?: React.FocusEventHandler<HTMLDivElement>;
    onBlur?: React.FocusEventHandler<HTMLDivElement>;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
    renderValue: (items: ITEM[]) => React.ReactNode;
    inputRef?: React.Ref<HTMLInputElement>;
    onChange?: React.ChangeEventHandler<HTMLInputElement>;
} & React.RefAttributes<HTMLDivElement>;
export type SelectMultipleValueComponent = <ITEM = SelectItemDefault, GROUP = SelectGroupDefault>(props: SelectMultipleValueProps<ITEM, GROUP>) => React.ReactNode | null;
export declare const SelectMultipleValueRender: <ITEM = SelectItemDefault, GROUP = SelectGroupDefault>({ propsAtom, onFocus, onBlur, onClick, renderValue, onChange, inputRef, }: SelectMultipleValueProps<ITEM, GROUP>, ref: React.Ref<HTMLDivElement>) => import("react/jsx-runtime").JSX.Element;
export declare const SelectMultipleValue: SelectMultipleValueComponent;
export {};
