import { AtomMut } from '@reatom/framework';
import React from 'react';
type RenderItemProps<ITEM> = {
    item: ITEM;
    active: boolean;
    hovered: boolean;
    onClick: (e: React.MouseEvent) => void;
    onMouseEnter: (e: React.MouseEvent) => void;
    ref: React.Ref<HTMLDivElement>;
};
type SelectRenderItemProps<ITEM> = {
    item: ITEM;
    rootRef: React.Ref<HTMLDivElement>;
    onClick: (e: React.MouseEvent) => void;
    onMouseEnter: (e: React.MouseEvent) => void;
    renderItem: (props: RenderItemProps<ITEM>) => React.ReactNode | null;
    highlightedIndexAtom: AtomMut<number>;
    index: number;
    valueAtom: AtomMut<ITEM[]>;
    getItemKeyAtom: AtomMut<(item: ITEM) => string | number>;
};
type SelectRenderItemComponent = <ITEM>(props: SelectRenderItemProps<ITEM>) => React.ReactNode;
export declare const SelectRenderItem: SelectRenderItemComponent;
export {};
