import { WithDefaultReturn } from '../../utils/object';
import { SelectGroupDefault, SelectItemDefault, SelectPropsInit } from '.';
export declare const defaultLabelForEmptyItems = "\u0421\u043F\u0438\u0441\u043E\u043A \u043F\u0443\u0441\u0442";
export declare const defaultSelectAllLabel = "\u0412\u044B\u0431\u0440\u0430\u0442\u044C \u0432\u0441\u0435";
declare const defaultProps: {
    readonly form: "default";
    readonly size: "m";
    readonly view: "default";
    readonly getItemKey: (item: SelectItemDefault) => string | number;
    readonly getGroupKey: (group: SelectGroupDefault) => string | number;
    readonly getGroupLabel: (group: SelectGroupDefault) => string;
    readonly getItemDisabled: (item: SelectItemDefault) => boolean | undefined;
    readonly getItemGroupKey: (item: SelectItemDefault) => string | number | undefined;
    readonly getItemLabel: (item: SelectItemDefault) => string;
    readonly dropdownForm: "default";
    readonly labelForEmptyItems: "Список пуст";
    readonly selectAllLabel: "Выбрать все";
};
export declare const withDefault: <ITEM = SelectItemDefault, GROUP = SelectGroupDefault, MULTIPLE extends boolean = false>(props: SelectPropsInit<ITEM, GROUP, MULTIPLE>) => PropsWithDefault<ITEM, GROUP, MULTIPLE>;
export type PropsWithDefaultMultiple = WithDefaultReturn<SelectPropsInit<SelectItemDefault, SelectGroupDefault, true>, keyof typeof defaultProps>;
export type PropsWithDefaultSingle = WithDefaultReturn<SelectPropsInit<SelectItemDefault, SelectGroupDefault, false>, keyof typeof defaultProps>;
export type PropsWithDefault<ITEM = SelectItemDefault, GROUP = SelectGroupDefault, MULTIPLE extends boolean = false> = WithDefaultReturn<SelectPropsInit<ITEM, GROUP, MULTIPLE>, keyof typeof defaultProps>;
export {};
