type SelectItemDefault = {
    label: string;
};
export type UseSearchPropSearch<ITEM> = (item: ITEM, searchValue: string) => boolean;
type UseSearchProps<ITEM = SelectItemDefault> = {
    items: ITEM[];
    search?: UseSearchPropSearch<ITEM>;
    labelForNotFound?: string;
    debounceTimeOut?: number;
} & (ITEM extends {
    label: SelectItemDefault['label'];
} ? {} : {
    search: UseSearchPropSearch<ITEM>;
});
export declare const getSearchFunctionDefault: <ITEM>(comparison: (item: ITEM) => string) => (item: ITEM, searchValue: string) => boolean;
export declare const useSearch: <ITEM = SelectItemDefault>({ items, search, debounceTimeOut, labelForNotFound, }: UseSearchProps<ITEM>) => {
    input: boolean;
    onInput: import("react").Dispatch<import("react").SetStateAction<string>>;
    items: ITEM[];
    labelForEmptyItems: string | undefined;
};
export {};
