import { IconComponent } from '@consta/icons/Icon';
import React from 'react';
import { PropsWithHTMLAttributesAndRef } from '../../../utils/types/PropsWithHTMLAttributes';
import { PropForm, PropSize, PropStatus, PropView } from '../types';
export type SelectContainerProps = PropsWithHTMLAttributesAndRef<{
    disabled?: boolean;
    form?: PropForm;
    size?: PropSize;
    view?: PropView;
    focused?: boolean;
    multiple?: boolean;
    required?: boolean;
    status?: PropStatus;
    label?: string;
    labelIcon?: IconComponent;
    type?: 'select' | 'combobox' | 'userselect';
    labelPosition?: 'top' | 'left';
    caption?: string;
}, HTMLDivElement>;
export declare const SelectContainer: React.ForwardRefExoticComponent<Omit<SelectContainerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
