import './SelectDropdown.css';
import React from 'react';
import { PopoverPropOffset } from '../../Popover';
import { SelectAllItem } from '../../../utils/getGroups';
import { PropsWithJsxAttributes } from '../../../utils/types/PropsWithJsxAttributes';
import { PropSize, RenderItemProps } from '../types';
import { GetOptionPropsResult, OptionForCreate, OptionProps } from '../useSelect';
export declare const selectDropdownForm: readonly ["default", "brick", "round"];
export type SelectDropdownPropForm = typeof selectDropdownForm[number];
export declare const defaultSelectDropdownPropForm: "default";
type Props<ITEM, GROUP> = PropsWithJsxAttributes<{
    size: PropSize;
    controlRef: React.MutableRefObject<HTMLDivElement | null>;
    dropdownRef: React.Ref<HTMLDivElement>;
    getOptionProps(props: OptionProps<ITEM>): GetOptionPropsResult;
    form: SelectDropdownPropForm;
    isOpen: boolean;
    offset?: PopoverPropOffset | 'none';
    isLoading?: boolean;
    renderItem: (props: RenderItemProps<ITEM>) => React.ReactNode | null;
    visibleItems: (OptionForCreate | {
        items: Array<SelectAllItem | ITEM>;
        key: string | number;
        group?: GROUP;
        groupIndex: number;
        checkedCount?: number;
        totalCount?: number;
    })[];
    getGroupLabel?: (group: GROUP) => string;
    labelForCreate?: string;
    labelForNotFound?: string;
    labelForEmptyItems?: string;
    notFound?: boolean;
    hasItems?: boolean;
    itemsRefs: React.RefObject<HTMLDivElement>[];
    virtualScroll?: boolean;
    onScrollToBottom?: (length: number) => void;
}>;
type SelectDropdownComponent = <ITEM, GROUP>(props: Props<ITEM, GROUP>) => React.ReactNode | null;
export declare const SelectDropdown: SelectDropdownComponent;
export {};
