import { RefObject } from 'react';
export declare const propSize: readonly ["m", "xs", "s", "l"];
export type PropSize = typeof propSize[number];
export declare const defaultPropSize: "m";
export declare const propForm: readonly ["default", "defaultClear", "defaultBrick", "brick", "brickDefault", "brickClear", "brickRound", "round", "roundClear", "roundBrick", "clearRound", "clearDefault", "clearBrick", "clearClear"];
export type PropForm = typeof propForm[number];
export declare const defaultPropForm: "default";
export declare const propView: readonly ["default", "clear"];
export type PropView = typeof propView[number];
export declare const defaultPropView: "default";
export declare const propStatus: readonly ["alert", "warning", "success"];
export type PropStatus = typeof propStatus[number];
export type CommonSelectProps<ITEM> = {
    options: ITEM[];
    id: string;
    placeholder?: string;
    ariaLabel?: string;
    getOptionLabel(arg: ITEM): string;
    getOptionKey?(arg: ITEM): string | number;
    onBlur?: (event?: React.FocusEvent<HTMLInputElement>) => void;
    onFocus?: (event?: React.FocusEvent<HTMLInputElement>) => void;
    children?: never;
    dropdownClassName?: string;
    dropdownRef?: RefObject<HTMLDivElement>;
    name?: string;
};
export type RenderItemProps<ITEM> = {
    item: ITEM;
    active: boolean;
    hovered: boolean;
    onClick: (e: React.SyntheticEvent) => void;
    onMouseEnter: (e: React.SyntheticEvent) => void;
};
