import './TableCell.css';
import React from 'react';
import { TableColumn, TableRow } from '../Table';
export declare const verticalAligns: readonly ["top", "center", "bottom"];
export type VerticalAlign = typeof verticalAligns[number];
export declare const horizontalAligns: readonly ["left", "center", "right"];
export type HorizontalAlign = typeof horizontalAligns[number];
type Props<T extends TableRow> = {
    column: TableColumn<T> & {
        isSticky?: boolean;
        isResized?: boolean;
        filterable?: boolean;
    };
    onClick?: (e: React.SyntheticEvent) => void;
    onContextMenu?: (e: React.SyntheticEvent) => void;
    style?: React.CSSProperties;
    className?: string;
    wrapperClassName?: string;
    children: React.ReactNode;
    wrap?: 'truncate' | 'break';
    showVerticalShadow?: boolean;
    verticalAlign?: VerticalAlign;
} & ({
    type: 'header';
    isSticky?: boolean;
    isResized?: boolean;
} | {
    type: 'content';
    isClickable?: boolean;
    isBorderTop?: boolean;
    isBorderLeft?: boolean;
} | {
    type: 'resizer';
}) & React.RefAttributes<HTMLDivElement>;
type TableCell = <T extends TableRow>(props: Props<T>) => React.ReactNode | null;
export declare const TableCell: TableCell;
export {};
