import './TagBase.css';
import { IconComponent, IconPropSize } from '@consta/icons/Icon';
import React from 'react';
export declare const tagBasePropSize: readonly ["m", "xs", "s", "l"];
export declare const tagBasePropSizeDefault: "m";
export type TagBasePropSize = typeof tagBasePropSize[number];
export declare const tagBasePropGroupNumberValue: readonly [1, 2, 3, 4, 5, 6, 7, 8, 9];
export declare const tagBasePropGroupStringValue: readonly ["1", "2", "3", "4", "5", "6", "7", "8", "9"];
export declare const tagBasePropGroup: (1 | 4 | 2 | "1" | 3 | 5 | 9 | "2" | 7 | 6 | "3" | 8 | "4" | "5" | "6" | "7" | "8" | "9")[];
export type TagBasePropGroup = typeof tagBasePropGroup[number];
export declare const tagBasePropView: readonly ["stroked", "filled"];
export declare const tagBasePropViewDefault: "stroked";
export type TagBasePropView = typeof tagBasePropView[number];
export type Props = {
    size?: TagBasePropSize;
    label: string;
    children?: never;
    view?: TagBasePropView;
    group?: TagBasePropGroup;
    onCancel?: React.MouseEventHandler<HTMLButtonElement>;
    icon?: IconComponent;
    iconSize?: IconPropSize;
    withAction?: boolean;
    cancelButtonTabIndex?: number;
    disabled?: boolean;
    href?: string;
};
export declare const cnTagBase: import("@bem-react/classname").ClassNameFormatter;
export declare const TagBase: import("../../utils/types/PropsWithAsAttributes").ComponentWithAs<Props, "div">;
