import './Text.css';
export declare const textPropAlign: readonly ["left", "center", "right"];
export type TextPropAlign = typeof textPropAlign[number];
export declare const textPropDisplay: readonly ["block", "inlineBlock", "inline"];
export type TextPropDisplay = typeof textPropDisplay[number];
export declare const textPropFont: readonly ["primary", "mono"];
export type TextPropFont = typeof textPropFont[number];
export declare const textPropCursor: readonly ["pointer"];
export type TextPropCursor = typeof textPropCursor[number];
export declare const textPropDecoration: readonly ["underline"];
export type TextPropDecoration = typeof textPropDecoration[number];
export declare const textPropLineHeight: readonly ["2xs", "xs", "s", "m", "l"];
export type TextPropLineHeight = typeof textPropLineHeight[number];
export declare const textPropLineHeightDefault: TextPropLineHeight;
export declare const textPropSize: readonly ["m", "2xs", "xs", "s", "l", "xl", "2xl", "3xl", "4xl", "5xl", "6xl"];
export type TextPropSize = typeof textPropSize[number];
export declare const textPropSizeDefault: TextPropSize;
export declare const textPropSpacing: readonly ["xs", "s", "m", "l"];
export type TextPropSpacing = typeof textPropSpacing[number];
export declare const textPropView: readonly ["primary", "secondary", "brand", "ghost", "link", "linkMinor", "system", "normal", "success", "warning", "alert", "caution", "critical"];
export type TextPropView = typeof textPropView[number];
export declare const textPropViewDefault: TextPropView;
export declare const textPropWeight: readonly ["thin", "light", "regular", "medium", "semibold", "bold", "black"];
export type TextPropWeight = typeof textPropWeight[number];
export declare const textPropFontStyle: readonly ["italic"];
export type TextPropFontStyle = typeof textPropFontStyle[number];
export declare const textPropTransform: readonly ["uppercase"];
export type TextPropTransform = typeof textPropTransform[number];
export declare const textPropWidth: readonly ["default"];
export type TextPropWidth = typeof textPropWidth[number];
export type TextProps = {
    align?: TextPropAlign;
    cursor?: TextPropCursor;
    decoration?: TextPropDecoration;
    display?: TextPropDisplay;
    font?: TextPropFont;
    lineHeight?: TextPropLineHeight;
    size?: TextPropSize;
    spacing?: TextPropSpacing;
    fontStyle?: TextPropFontStyle;
    transform?: TextPropTransform;
    view?: TextPropView;
    weight?: TextPropWeight;
    width?: TextPropWidth;
    truncate?: boolean;
};
export declare const cnText: import("@bem-react/classname").ClassNameFormatter;
export declare const Text: import("../../utils/types/PropsWithAsAttributes").ComponentWithAs<TextProps, "div">;
