import React from 'react';
import { PropsWithHTMLAttributes } from '../../utils/types/PropsWithHTMLAttributes';
export { presetGpnDefault } from './presets/presetGpnDefault';
export { presetGpnDark } from './presets/presetGpnDark';
export { presetGpnDisplay } from './presets/presetGpnDisplay';
export type ThemePreset = {
    color: {
        primary: string;
        accent: string;
        invert: string;
    };
    control: string;
    font: string;
    size: string;
    space: string;
    shadow: string;
};
type Props = {
    preset: ThemePreset;
};
export type ThemeProps = PropsWithHTMLAttributes<Props, HTMLDivElement>;
export declare const cnTheme: import("@bem-react/classname").ClassNameFormatter;
export declare const generateThemeClassNames: (preset: ThemePreset) => ThemePreset;
export declare const generateDeps: (preset: ThemePreset) => string;
export declare const ThemeContext: React.Context<{
    theme: ThemePreset;
    themeClassNames: ThemePreset;
}>;
export declare const Theme: React.ForwardRefExoticComponent<Props & Omit<React.HTMLAttributes<HTMLDivElement>, "css" | "preset"> & React.RefAttributes<HTMLDivElement>>;
export declare function useTheme(): {
    theme: ThemePreset;
    themeClassNames: ThemePreset;
};
