import './Timer.css';
import React from 'react';
import { PropsWithJsxAttributes } from '../../utils/types/PropsWithJsxAttributes';
export declare const timerPropsSize: readonly ["m", "s", "l", "xl", "2xl"];
export type TimerPropsSize = typeof timerPropsSize[number];
export declare const timerPropsSizeDefault: TimerPropsSize;
export type TimerProps = PropsWithJsxAttributes<{
    size?: TimerPropsSize;
    seconds?: number;
    progress?: number;
    animation?: boolean;
    children?: never;
}>;
export declare const cnTimer: import("@bem-react/classname").ClassNameFormatter;
export declare const Timer: React.ForwardRefExoticComponent<Omit<TimerProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
