import { ClickOutsideHandler } from '../../hooks/useClickOutside/useClickOutside';
import { PropsWithJsxAttributes } from '../../utils/types/PropsWithJsxAttributes';
import { Direction, PositioningProps } from '../Popover/Popover';
export declare const tooltipPropSizes: readonly ["m", "s", "l"];
export type TooltipPropSize = typeof tooltipPropSizes[number];
export declare const tooltipPropSizesDefault: TooltipPropSize;
export declare const tooltipPropStatus: readonly ["normal", "alert", "success", "warning"];
export type TooltipPropStatus = typeof tooltipPropStatus[number];
export type TooltipProps = PropsWithJsxAttributes<{
    isOpen?: boolean;
    size?: TooltipPropSize;
    status?: TooltipPropStatus;
    direction?: Direction;
    spareDirection?: Direction;
    possibleDirections?: readonly Direction[];
    isInteractive?: boolean;
    children: React.ReactNode;
    onClickOutside?: ClickOutsideHandler;
    className?: string;
    offset?: number;
    onSetDirection?: (direction: Direction) => void;
    viewportRef?: React.RefObject<HTMLElement>;
    container?: Element;
} & PositioningProps>;
