import './Tooltip.css';
import React from 'react';
import { ClickOutsideHandler } from '../../hooks/useClickOutside/useClickOutside';
import { PropsWithJsxAttributes } from '../../utils/types/PropsWithJsxAttributes';
import { Direction, PositioningProps } from '../Popover/Popover';
export declare const tooltipPropSizes: readonly ["m", "s", "l"];
export declare const tooltipPropSizesDefault: "m";
export type TooltipPropSize = typeof tooltipPropSizes[number];
export declare const tooltipPropStatus: readonly ["normal", "alert", "success", "warning"];
export type TooltipPropStatus = typeof tooltipPropStatus[number];
export type TooltipProps = PropsWithJsxAttributes<{
    size?: TooltipPropSize;
    status?: TooltipPropStatus;
    direction?: Direction;
    spareDirection?: Direction;
    possibleDirections?: readonly Direction[];
    isInteractive?: boolean;
    children: React.ReactNode;
    onClickOutside?: ClickOutsideHandler;
    className?: string;
    offset?: number;
    onSetDirection?: (direction: Direction) => void;
} & PositioningProps>;
export declare const Tooltip: React.ForwardRefExoticComponent<Omit<TooltipProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
