import './User.css';
import { IconComponent } from '@consta/icons/Icon';
import React from 'react';
export declare const userPropSize: readonly ["m", "s", "l"];
export type UserPropSize = typeof userPropSize[number];
export declare const userPropSizeDefault: UserPropSize;
export declare const userPropView: readonly ["clear", "ghost"];
export type UserPropView = typeof userPropView[number];
export declare const userPropViewDefault: UserPropView;
export declare const userPropWidth: readonly ["default", "full"];
export type UserPropWidth = typeof userPropWidth[number];
export declare const userPropWidthDefault: UserPropWidth;
export declare const userPropStatus: readonly ["available", "remote", "out"];
export type UserPropStatus = typeof userPropStatus[number];
type Props = {
    avatarUrl?: string;
    name?: string;
    size?: UserPropSize;
    view?: UserPropView;
    width?: UserPropWidth;
    status?: UserPropStatus;
    onlyAvatar?: boolean;
    info?: string;
    children?: never;
} & ({
    withArrow?: boolean;
    iconRight?: never;
    onIconRightClick?: never;
} | {
    withArrow?: never;
    iconRight?: IconComponent;
    onIconRightClick?: (e: React.SyntheticEvent) => void;
});
export declare const cnUser: import("@bem-react/classname").ClassNameFormatter;
export declare const User: import("../../utils/types/PropsWithAsAttributes").ComponentWithAs<Props, "div">;
export {};
