import React from 'react';
import { TooltipProps as TooltipComponentProps } from '../../components/Tooltip';
export declare const withTooltipPropMode: readonly ["mouseover", "click"];
export declare const withTooltipPropModeDefault: "mouseover";
type WithTooltipPropMode = typeof withTooltipPropMode[number];
export declare const appearTimeoutDefault = 400;
export declare const exitTimeoutDefault = 200;
type ComponentProps = {
    onClick?: React.MouseEventHandler;
    onMouseEnter?: React.MouseEventHandler;
    onMouseLeave?: React.MouseEventHandler;
};
export type TooltipProps = Omit<TooltipComponentProps, 'children' | 'ref'> & {
    tooltipContent?: React.ReactNode;
    /** @deprecated use tooltipContent */
    content?: React.ReactNode;
    mode?: WithTooltipPropMode;
    closeOnClickOutside?: boolean;
    appearTimeout?: number;
    exitTimeout?: number;
};
export type WithTooltipProps<Props> = Props & {
    tooltipProps?: TooltipProps;
};
export declare function withTooltip(hocProps?: TooltipProps): <COMPONENT_TYPE, COMPONENT_PROPS extends ComponentProps>(Component: COMPONENT_TYPE) => COMPONENT_TYPE | React.ComponentType<{
    tooltipProps?: TooltipProps;
}>;
export {};
