type GetKey<ITEM> = (item: ITEM) => string | number;
type GetOnChange<ITEM, EVENT> = (item: ITEM) => (e: EVENT) => void;
type GetChecked<ITEM> = (item: ITEM) => boolean;
type UseChoiceGroupValues<ITEM, EVENT> = {
    getOnChange: GetOnChange<ITEM, EVENT>;
    getChecked: GetChecked<ITEM>;
};
export type CallbackWithMultiple<ITEM, EVENT> = (value: ITEM[] | null, props: {
    e: EVENT;
}) => void;
export type CallbackWithoutMultiple<ITEM, EVENT> = (value: ITEM, props: {
    e: EVENT;
}) => void;
type PropsWithMultiple<ITEM, EVENT> = {
    multiple: true;
    value: ITEM[] | null;
    callBack?: CallbackWithMultiple<ITEM, EVENT>;
};
type PropsWithoutMultiple<ITEM, EVENT> = {
    multiple: false;
    value: ITEM | null;
    callBack?: CallbackWithoutMultiple<ITEM, EVENT>;
};
type CommonProps<ITEM> = {
    getKey: GetKey<ITEM>;
};
type UseChoiceGroupProps<ITEM, EVENT> = CommonProps<ITEM> & (PropsWithMultiple<ITEM, EVENT> | PropsWithoutMultiple<ITEM, EVENT>);
export declare function useChoiceGroup<ITEM, EVENT>(props: UseChoiceGroupProps<ITEM, EVENT>): UseChoiceGroupValues<ITEM, EVENT>;
export {};
