import React from 'react';
import { KeyCode } from '../../utils/types/KeyCode';
export type KeyHandlers = Partial<Record<KeyCode, (e: KeyboardEvent) => void>> & {
    [key: string]: (e: KeyboardEvent) => void;
};
type UseKeysProps = {
    ref?: React.RefObject<HTMLElement>;
    keys: KeyHandlers;
    isActive?: boolean | (() => boolean | undefined);
    eventHandler?: (event: KeyboardEvent) => void;
    eventType?: 'keypress' | 'keydown' | 'keyup';
};
export declare const useKeysRef: (params: UseKeysProps) => void;
export {};
