import { defaultVars } from './helpers';
export type Vars = {
    readonly color: {
        readonly primary: readonly string[];
        readonly accent: readonly string[];
        readonly invert: readonly string[];
    };
    readonly control: readonly string[];
    readonly font: readonly string[];
    readonly size: readonly string[];
    readonly space: readonly string[];
    readonly shadow: readonly string[];
};
export type ThemeVars<T extends Vars = typeof defaultVars> = {
    color: {
        primary: {
            [key in T['color']['primary'][number]]: string;
        };
        accent: {
            [key in T['color']['accent'][number]]: string;
        };
        invert: {
            [key in T['color']['invert'][number]]: string;
        };
    };
    control: {
        [key in T['control'][number]]: string;
    };
    font: {
        [key in T['font'][number]]: string;
    };
    size: {
        [key in T['size'][number]]: string;
    };
    space: {
        [key in T['space'][number]]: string;
    };
    shadow: {
        [key in T['shadow'][number]]: string;
    };
};
type UseThemeVarsOptions<T> = {
    vars?: T;
    deps?: [];
};
export declare const useThemeVars: <T extends Vars = typeof defaultVars>(options?: UseThemeVarsOptions<T>) => ThemeVars<T>;
export {};
