declare const bgColors: readonly [{
    readonly color: "--color-bg-default";
    readonly description: "Базовый (основной) цвет фона";
}, {
    readonly color: "--color-bg-secondary";
    readonly description: "Дополнительный (второстепенный) цвет фона";
}, {
    readonly color: "--color-bg-brand";
    readonly description: "Цвет фона для брендовых блоков";
}, {
    readonly color: "--color-bg-link";
    readonly description: "Цвет фона для ссылочных или CTA блоков";
}, {
    readonly color: "--color-bg-ghost";
    readonly description: "Полупрозрачный цвет для дополнительного выделения или разделения блоков или секций. Обычно используется поверх основных фонов (default или secondary)";
}, {
    readonly color: "--color-bg-stripe";
    readonly description: "Цвет для едва заметного разделения, например чтобы разделить строки в таблицах";
}, {
    readonly color: "--color-bg-border";
    readonly description: "Цвет большинства границ и тонких разделителей";
}, {
    readonly color: "--color-bg-system";
    readonly description: "Цвет для фона системных сообщений, состояний, уведомлений, и прочего";
}, {
    readonly color: "--color-bg-tone";
    readonly description: "Тёмный цвет подложки (оверлея) под всплывающими окнами";
}, {
    readonly color: "--color-bg-soft";
    readonly description: "Светлый цвет подложки (оверлея) под всплывающими окнами";
}, {
    readonly color: "--color-bg-normal";
    readonly description: "Цвет фона для блоков, сообщающих об нормальном (нейтральном) состоянии системы";
}, {
    readonly color: "--color-bg-success";
    readonly description: "Цвет фона для блоков, сообщающих об успешном действии/статусе";
}, {
    readonly color: "--color-bg-caution";
    readonly description: "Цвет фона для блоков, сообщающих об осторожном действии/статусе";
}, {
    readonly color: "--color-bg-warning";
    readonly description: "Цвет фона для блоков, сообщающих об предупреждающем действии/статусе";
}, {
    readonly color: "--color-bg-alert";
    readonly description: "Цвет фона для блоков, сообщающих об опасном (ошибочном) действии/статусе";
}, {
    readonly color: "--color-bg-critical";
    readonly description: "Цвет фона для блоков, сообщающих об критичном действии/статусе";
}];
declare const typoColors: readonly [{
    readonly color: "--color-typo-primary";
    readonly description: "Основной текст";
}, {
    readonly color: "--color-typo-secondary";
    readonly description: "Второстепенный текст";
}, {
    readonly color: "--color-typo-brand";
    readonly description: "Брендовый текст";
}, {
    readonly color: "--color-typo-ghost";
    readonly description: "Третьестепенный текст";
}, {
    readonly color: "--color-typo-link";
    readonly description: "Ссылка";
}, {
    readonly color: "--color-typo-link-hover";
    readonly description: "При наведении на ссылку";
}, {
    readonly color: "--color-typo-link-minor";
    readonly description: "Второстепенная ссылка";
}, {
    readonly color: "--color-typo-system";
    readonly description: "Для системных сообщений, состояний, уведомлений";
}, {
    readonly color: "--color-typo-normal";
    readonly description: "Текст, сообщающий о нормальном (нейтральном) состоянии системы";
}, {
    readonly color: "--color-typo-success";
    readonly description: "Текст об успехе";
}, {
    readonly color: "--color-typo-caution";
    readonly description: "Осторожный текст";
}, {
    readonly color: "--color-typo-warning";
    readonly description: "Предупреждающий текст";
}, {
    readonly color: "--color-typo-alert";
    readonly description: "Текст об ошибке";
}, {
    readonly color: "--color-typo-critical";
    readonly description: "Сообщения критического характера";
}];
declare const scrollbarColors: readonly [{
    readonly color: "--color-scroll-bg";
    readonly description: "Цвет фонового трека";
}, {
    readonly color: "--color-scroll-thumb";
    readonly description: "Цвет ползунка";
}, {
    readonly color: "--color-scroll-thumb-hover";
    readonly description: "Цвет ползунка по наведению";
}];
declare const defaultControls: readonly [{
    readonly color: "--color-control-bg-default";
    readonly description: "Фоновый цвет";
}, {
    readonly color: "--color-control-typo-default";
    readonly description: "Цвет текста";
}, {
    readonly color: "--color-control-typo-placeholder";
    readonly description: "Цвет плейсхолдера";
}, {
    readonly color: "--color-control-bg-border-default";
    readonly description: "Цвет границ";
}, {
    readonly color: "--color-control-bg-border-default-hover";
    readonly description: "Цвет границ по наведению";
}, {
    readonly color: "--color-control-bg-border-focus";
    readonly description: "Цвет границ в состоянии фокуса";
}, {
    readonly color: "--color-control-bg-focus";
    readonly description: "Цвет тени в состоянии фокуса";
}, {
    readonly color: "--color-control-bg-active";
    readonly description: "Цвет тени в состоянии нажатия";
}];
declare const primaryControls: readonly [{
    readonly color: "--color-control-bg-primary";
    readonly description: "Фоновый цвет";
}, {
    readonly color: "--color-control-bg-primary-hover";
    readonly description: "Фоновый цвет по наведению";
}, {
    readonly color: "--color-control-typo-primary";
    readonly description: "Цвет текста";
}, {
    readonly color: "--color-control-typo-primary-hover";
    readonly description: "Цвет текста по наведению";
}];
declare const secondaryControls: readonly [{
    readonly color: "--color-control-bg-secondary";
    readonly description: "Фоновый цвет";
}, {
    readonly color: "--color-control-typo-secondary";
    readonly description: "Цвет текста";
}, {
    readonly color: "--color-control-typo-secondary-hover";
    readonly description: "Цвет текста по наведению";
}, {
    readonly color: "--color-control-bg-border-secondary";
    readonly description: "Цвет границ";
}, {
    readonly color: "--color-control-bg-border-secondary-hover";
    readonly description: "Цвет границ по наведению";
}];
declare const ghostControls: readonly [{
    readonly color: "--color-control-bg-ghost";
    readonly description: "Фоновый цвет";
}, {
    readonly color: "--color-control-bg-ghost-hover";
    readonly description: "Фоновый цвет по наведению";
}, {
    readonly color: "--color-control-typo-ghost";
    readonly description: "Цвет текста";
}, {
    readonly color: "--color-control-typo-ghost-hover";
    readonly description: "Цвет текста по наведению";
}];
declare const clearControls: readonly [{
    readonly color: "--color-control-bg-clear";
    readonly description: "Фоновый цвет";
}, {
    readonly color: "--color-control-bg-clear-hover";
    readonly description: "Фоновый цвет по наведению";
}, {
    readonly color: "--color-control-typo-clear";
    readonly description: "Цвет текста";
}, {
    readonly color: "--color-control-typo-clear-hover";
    readonly description: "Цвет текста по наведению";
}];
declare const disableControls: readonly [{
    readonly color: "--color-control-bg-disable";
    readonly description: "Фоновый цвет";
}, {
    readonly color: "--color-control-typo-disable";
    readonly description: "Цвет текста";
}, {
    readonly color: "--color-control-bg-border-disable";
    readonly description: "Цвет границ";
}];
export { bgColors, typoColors, scrollbarColors, defaultControls, primaryControls, secondaryControls, ghostControls, clearControls, disableControls, };
