export type Group<ITEM, GROUP> = {
    items: ITEM[];
    key: string | number;
    group?: GROUP;
    groupIndex: number;
};
export type SelectAllItem = {
    checkedCount: number;
    totalCount: number;
    groupKey: string | number;
    __optionSelectAll: true;
};
export type CountedGroup<ITEM, GROUP> = Omit<Group<ITEM, GROUP>, 'items'> & {
    items: Array<SelectAllItem | ITEM>;
};
type GetItemGroupKey<ITEM> = (item: ITEM) => string | number | undefined;
type GetItemKey<ITEM> = (item: ITEM) => string | number | undefined;
type GetItemDisabled<ITEM> = (item: ITEM) => boolean | undefined;
type GetGroupKey<GROUP> = (item: GROUP) => string | number | undefined;
type SortGroups<ITEM, GROUP> = (a: Group<ITEM, GROUP>, b: Group<ITEM, GROUP>) => number;
export type GetGroupsResult<ITEM, GROUP> = Group<ITEM, GROUP>[];
export declare const defaultGroupKey = "no-group";
/**
 * @param items список который нужно группировать
 * @param getItemGroupKey признак принадлежности к группе
 * @param groups список групп
 * @param getGroupKey результат функции должен вернуть уникальный ключ группы
 * @param sortGroups сортировка групп
 * @param noGroupKey ключ группы которая создаться если item не будет принадлежать ни к одной из групп
 */
export declare function getGroups<ITEM, GROUP>(items: ITEM[], getItemGroupKey: GetItemGroupKey<ITEM> | undefined, groups: GROUP[] | undefined, getGroupKey: GetGroupKey<GROUP> | undefined, sortGroups: SortGroups<ITEM, GROUP> | undefined, noGroupKey?: string): GetGroupsResult<ITEM, GROUP>;
/**
 * @deprecated
 */
export declare function getCountedGroups<ITEM, GROUP>(groups: GetGroupsResult<ITEM, GROUP>, values: ITEM[] | undefined | null, selectAll: boolean, getItemKey: GetItemKey<ITEM>, getItemDisabled?: GetItemDisabled<ITEM>): CountedGroup<ITEM, GROUP>[];
export {};
